%undefine __cmake_in_source_build

Summary: A plugin-based library to create window decorations
Name:    kdecoration
Version: 5.27.9
Release: 1%{?dist}
License: LGPLv2
URL:     https://cgit.kde.org/%{name}.git
Source0: http://download.kde.org/stable/plasma/%{version}/%{name}-%{version}.tar.xz
BuildRequires:  extra-cmake-modules, kf5-rpm-macros, qt5-qtbase-devel
BuildRequires:  cmake, cmake(KF5I18n), cmake(KF5CoreAddons), make

Requires:       kf5-filesystem

%description
%{summary}.

%package devel
Summary:  Developer files for %{name}
Requires: %{name} = %{version}-%{release}

%description devel
%{summary}.


%prep
%autosetup -p1

sed -i "s/set(KDECORATION2_INCLUDEDIR \"\${CMAKE_INSTALL_INCLUDEDIR}\/KDecoration2\")/set(KDECORATION2_INCLUDEDIR \"\${KF5_INCLUDE_INSTALL_DIR}\/KDecoration2\")/" CMakeLists.txt


%build
%{cmake_kf5} \
  -DBUILD_TESTING:BOOL=OFF
%cmake_build


%install
%cmake_install

mkdir -p %{buildroot}%{_kf5_qtplugindir}/org.kde.kdecoration2/

%check

%files
%license LICENSES/*.txt
%{_kf5_libdir}/libkdecorations2.so.*
%{_kf5_libdir}/libkdecorations2private.so.*
%dir %{_kf5_qtplugindir}/org.kde.kdecoration2/
%{_datadir}/locale/*/LC_MESSAGES/kdecoration.mo

%files devel
%{_kf5_libdir}/libkdecorations2.so
%{_kf5_libdir}/libkdecorations2private.so
%{_kf5_libdir}/cmake/KDecoration2/
%{_kf5_includedir}/kdecoration2_version.h
%{_includedir}/KDecoration2


%changelog
* Tue Nov 28 2023 Chair <chairou@tencent.com> - 5.27.9-1
- upgraded to upstream 5.27.9

* Sun Nov 19 2023 Chair <chairou@tencent.com> - 5.27.8-1
- Init
